Page MenuHomePhabricator

Adjust the threshold for Indonesian to prevent publishing when overall unmodified content is higher than 40%
Closed, ResolvedPublic

Description

After the initial adjustment on Indonesian to allow at most 30% of machine translation for the whole translation (T221353), and based on the feedback (T219851#5166329), it seems the threshold is too strict in some cases.

The following change is proposed to increase the current threshold (+10%):
On Indonesian Wikipedia (and only there), the threshold will be adjusted to prevent the publication of translations with an overall amount of >40% of unmodified contents.

We need to keep in mind the potential for false positives, since elements such as proper nouns, templates, short section titles, and references are often legitimate unmodified content that is ok for users to publish (so we may need to keep a 5% of margin of error).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2019, 10:57 AM
Pginer-WMF triaged this task as Normal priority.May 8 2019, 10:57 AM

Change 508818 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[operations/mediawiki-config@master] Decrease idwiki MT threshold for publishing

https://gerrit.wikimedia.org/r/508818

Change 508818 merged by KartikMistry:
[operations/mediawiki-config@master] Decrease idwiki MT threshold for publishing

https://gerrit.wikimedia.org/r/508818

Mentioned in SAL (#wikimedia-operations) [2019-05-14T11:25:17Z] <kartik@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT [[gerrit:508818|Decrease idwiki MT thresold for publishing]] (T222782) (duration: 00m 51s)

Pginer-WMF closed this task as Resolved.May 24 2019, 12:56 PM